Bug 1461558 - OpenShift smartstate errors -unknown access error to pod management-infra/manageiq-img-scan-7f243: #<Net::HTTPBadRequest:0x00000010422df8>
OpenShift smartstate errors -unknown access error to pod management-infra/man...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.6.0
x86_64 Linux
unspecified Severity medium
: GA
: 5.8.1
Assigned To: Erez Freiberger
Einat Pacifici
container
: ZStream
Depends On: 1384629
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 15:10 EDT by Satoe Imaishi
Modified: 2017-08-02 13:31 EDT (History)
17 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1384629
Environment:
Last Closed: 2017-08-02 13:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Container Management


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-14 15:21:08 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4769a2390063743d227386fc963cc9fd1b5e77fa

commit 4769a2390063743d227386fc963cc9fd1b5e77fa
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Mon Apr 17 11:12:11 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 15:10:39 2017 -0400

    Merge pull request #14578 from enoodle/container_ssa_use_readiness_probe
    
    container ssa: use readiness prob
    (cherry picked from commit 08c3090302d4c7fa747781dc3699e502194adb62)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1461558

 .../kubernetes/container_manager/scanning/job.rb   | 54 ++++++++++++----------
 .../container_manager/scanning/job_spec.rb         | 31 ++++++-------
 .../kubernetes/container_manager/scanning/job.yml  | 41 ----------------
 3 files changed, 45 insertions(+), 81 deletions(-)
 delete mode 100644 spec/vcr_cassettes/manageiq/providers/kubernetes/container_manager/scanning/job.yml
Comment 6 Einat Pacifici 2017-07-04 07:19:27 EDT
Verified. When CFME creates imageinspector, it defines the readinessprobe. 

From log: 
.................secret","mountPath":"/var/run/secrets/kubernetes.io/inspector-admin-secret-inspector-admin-dockercfg-s74ed","readOnly":true}],"env":[],"readinessProbe":{"initialDelaySeconds":15,"periodSeconds":5,"httpGet":{"path":"/healthz","port":8080}}}],"volumes":[{"name":"docker-socket","hostPath":{"path":"/var/run/docker.sock"}},{"name":"inspector-admin-secret","secret":{"secretName":"inspector-admin-dockercfg-s74ed"}}]}}]
...
...
Comment 8 errata-xmlrpc 2017-08-02 13:31:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.